VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::recovery::backup::JobTypes::BackupJobStatus Class Reference

`Job.BackupJobStatus` class Structure representing backup restore status More...

List of all members.

## Public Member Functions
| BackupJobStatus ()
| Creates a default new instance.
string | GetId ()
| TimeStamp based ID.
void | SetId (string id)
| TimeStamp based ID.
vmware.appliance.recovery.backup.JobTypes.BackupRestoreProcessState | GetState ()
| process state
void | SetState (vmware.appliance.recovery.backup.JobTypes.BackupRestoreProcessState state)
| process state
global::System.Collections.Generic.List < vmware.appliance.recovery.backup.JobTypes.LocalizableMessage > | GetMessages ()
| list of messages
void | SetMessages (global::System.Collections.Generic.List< vmware.appliance.recovery.backup.JobTypes.LocalizableMessage > messages)
| list of messages
long | GetProgress ()
| percentage complete
void | SetProgress (long progress)
| percentage complete
global::System.DateTimeOffset | GetStartTime ()
| Time when this backup was started.
void | SetStartTime (global::System.DateTimeOffset startTime)
| Time when this backup was started.
global::System.DateTimeOffset | GetEndTime ()
| Time when this backup was finished.
void | SetEndTime (global::System.DateTimeOffset?endTime)
| Time when this backup was finished.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Job.BackupJobStatus` class Structure representing backup restore status

## Constructor & Destructor Documentation

vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::BackupJobStatus | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::Equals | ( | object | obj | ) | `[inline]`

global::System.DateTimeOffset vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::GetEndTime | ( |  | ) | `[inline]`

Time when this backup was finished.

override int vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::GetId | ( |  | ) | `[inline]`

TimeStamp based ID.

global::System.Collections.Generic.List<vmware.appliance.recovery.backup.JobTypes.LocalizableMessage> vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::GetMessages | ( |  | ) | `[inline]`

list of messages

long vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::GetProgress | ( |  | ) | `[inline]`

percentage complete

global::System.DateTimeOffset vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::GetStartTime | ( |  | ) | `[inline]`

Time when this backup was started.

vmware.appliance.recovery.backup.JobTypes.BackupRestoreProcessState vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::GetState | ( |  | ) | `[inline]`

process state

void vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::SetEndTime | ( | global::System.DateTimeOffset? | endTime | ) | `[inline]`

Time when this backup was finished.

void vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::SetId | ( | string | id | ) | `[inline]`

TimeStamp based ID.

void vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::SetMessages | ( | global::System.Collections.Generic.List< vmware.appliance.recovery.backup.JobTypes.LocalizableMessage > | messages | ) | `[inline]`

list of messages

void vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::SetProgress | ( | long | progress | ) | `[inline]`

percentage complete

void vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::SetStartTime | ( | global::System.DateTimeOffset | startTime | ) | `[inline]`

Time when this backup was started.

void vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::SetState | ( | vmware.appliance.recovery.backup.JobTypes.BackupRestoreProcessState | state | ) | `[inline]`

process state

override string vmware::appliance::recovery::backup::JobTypes::BackupJobStatus::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- backup/JobTypes.cs